.\"	$NetBSD: finger.1,v 1.14 2002/09/30 11:09:00 grant Exp $
.\"
.\" Copyright (c) 1989, 1990, 1993, 1994
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	from: @(#)finger.1	8.3 (Berkeley) 5/5/94
.\"
.Dd September 12, 2002
.Dt FINGER 1
.Os
.Sh NAME
.Nm finger
.Nd user information lookup program
.Sh SYNOPSIS
.Nm
.Op Fl 8ghlmops
.Op Ar user ...
.Op Ar user@host ...
.Sh DESCRIPTION
The
.Nm
displays information about the system users.
.Pp
Options are:
.Bl -tag -width flag
.It Fl 8
Pass through 8-bit data.
This option is intended for enabling 8-bit
data output in the
.Xr fingerd 8
service.
Using this from the command line is
.Em dangerous ,
as the output data may include control characters for your terminal.
.It Fl g
This option restricts the gecos output to only the users' real names.
.It Fl h
When used in conjunction with the
.Fl s
option, the name of the remote host is displayed instead of the office
location and office phone.
.It Fl l
Produces a multi-line format displaying all of the information
described for the
.Fl s
option as well as the user's home directory, home phone number, login
shell, mail status, and the contents of the files
.Dq Pa .forward ,
.Dq Pa .plan
and
.Dq Pa .project
from the user's home directory.
.Pp
If idle time is at least a minute and less than a day, it is
presented in the form
.Dq hh:mm .
Idle times greater than a day are presented as
.Dq d day[s]hh:mm .
.Pp
Phone numbers specified as eleven digits are printed as
.Dq +N-NNN-NNN-NNNN .
Numbers specified as ten or seven digits are printed as the appropriate
subset of that string.
Numbers specified as five digits are printed as
.Dq xN-NNNN .
Numbers specified as four digits are printed as
.Dq xNNNN .
.Pp
If write permission is denied to the device, the phrase
.Dq (messages off)
is appended to the line containing the device name.
One entry per user is displayed with the
.Fl l
option; if a user is logged on multiple times, terminal information
is repeated once per login.
.Pp
Mail status is shown as
.Dq \&No Mail.
if there is no mail at all, ``Mail last read DDD MMM ## HH:MM YYYY (TZ)''
if the person has looked at their
mailbox since new mail arriving, or
.Dq New mail received ... ,
.Dq Unread since \&...
if they have new mail.
.It Fl m
Prevent matching of
.Ar user
names.
.Ar User
is usually a login name; however, matching will also be done on the
users' real names, unless the
.Fl m
option is supplied.
All name matching performed by
.Nm
is case insensitive.
.It Fl o
When used in conjunction with the
.Fl s
option, the office location and office phone information is displayed
instead of the name of the remote host.
.It Fl p
Prevents
the
.Fl l
option of
.Nm
from displaying the contents of the
.Dq Pa .forward ,
.Dq Pa .plan
and
.Dq Pa .project
files.
.It Fl s
.Nm
displays the user's login name, real name, terminal name and write
status (as a
.Dq *
after the terminal name if write permission is denied), idle time,
login time, and either office location and office phone number,
or the remote host.
If
.Fl h
is given, the remote is printed.
If
.Fl o
is given, the office location and phone number is printed instead
(the default).
.Pp
Idle time is in minutes if it is a single integer, hours and minutes
if a
.Dq \&:
is present, or days if a
.Dq d
is present.
Login time is displayed as the dayname if less than six days,
else month, day, hours and minutes, unless
more than six months ago, in which case the year is displayed rather
than the hours and minutes.
.Pp
Unknown devices as well as nonexistent idle and login times are
displayed as single asterisks.
.El
.Pp
If no options are specified,
.Nm
defaults to the
.Fl l
style output if operands are provided, otherwise to the
.Fl s
style.
Note that some fields may be missing, in either format, if information
is not available for them.
.Pp
If no arguments are specified,
.Nm
will print an entry for each user currently logged into the system.
.Pp
.Nm
may be used to look up users on a remote machine.
The format is to specify a
.Ar user
as
.Dq Li user@host ,
or
.Dq Li @host ,
where the default output
format for the former is the
.Fl l
style, and the default output format for the latter is the
.Fl s
style.
The
.Fl l
option is the only option that may be passed to a remote machine.
.Sh FILES
.Bl -tag -width /var/log/lastlog -compact
.It Pa /var/log/lastlog
last login data base
.El
.Sh SEE ALSO
.Xr chpass 1 ,
.Xr w 1 ,
.Xr who 1
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3.0 .
